package de.zuim.ledcontrol.effects;

import de.zuim.ledcontrol.LEDEffect;

import java.awt.*;

import static de.zuim.ledcontrol.LEDControl.HEIGHT;
import static de.zuim.ledcontrol.LEDControl.WIDTH;

public class ColorSweepEffect implements LEDEffect {
	@Override
	public String getDescription() {
		return "Solid Color";
	}

	float step = 0;

	@Override
	public void render(long timeDelta, Graphics gr) {
		step += timeDelta * 0.0000000001d;
		if (step > 1)
			step = 0;

		gr.setColor(Color.getHSBColor(step, 1f, 5f / 255f));
		gr.fillRect(0, 0, WIDTH, HEIGHT);
	}
}
