package de.zuim.ledcontrol;

import java.awt.*;

public interface LEDEffect {

	String getDescription();

	default int getScale() {
		return 1;
	}

	default void load() {
	}

	default void unload() {
	}

	void render(long timeDelta, Graphics g);
}
